package com.datacloudsec.scan.tasks.scheduler.time;

import com.datacloudsec.exception.UEException;

/* loaded from: com_datacloudsec_scan_tasks_scheduler_time.jar:com/datacloudsec/scan/tasks/scheduler/time/TimeIntervalHour.class */
public class TimeIntervalHour implements ITime {
    private int hour;
    private int minute;
    private int second;

    public TimeIntervalHour(int hour, int minute, int second) {
        if (hour < 0 || hour > 23) {
            throw new UEException("hour:0-23");
        }
        if (minute < 0 || minute > 59) {
            throw new UEException("minute:0-59");
        }
        if (second < 0 || second > 59) {
            throw new UEException("second:0-59");
        }
        this.hour = hour;
        this.minute = minute;
        this.second = second;
    }

    @Override // com.datacloudsec.scan.tasks.scheduler.time.ITime
    public int calcSecond(long currTime) throws Exception {
        return (this.hour * 3600) + (this.minute * 60) + this.second;
    }
}
